cURL
Authorizations
string
header
required
DashScope API Key, obtained from the API Key page in the console.
Body
application/jsonstring
required
ID of the Knowledge Base to delete (the data.pipelineId returned by create_v2).
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Permanently delete a Knowledge Base along with all of its documents and chunks.
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/index/delete" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"index_id": "your_index_id"}'{
"code": "Success",
"status_code": 200,
"success": true,
"message": "success",
"request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"status": "SUCCESS"
}DashScope API Key, obtained from the API Key page in the console.
ID of the Knowledge Base to delete (the data.pipelineId returned by create_v2).
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/index/delete" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"index_id": "your_index_id"}'{
"code": "Success",
"status_code": 200,
"success": true,
"message": "success",
"request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"status": "SUCCESS"
}